Subject: Re: [Patch net-next 3/7] inetpeer: use generic union inet_addr

From: Cong Wang <[email-masked]>
Date: Tue, 23 Jul 2013 11:38:15 +0800

On Mon, 2013-07-22 at 19:26 -0700, Eric Dumazet wrote:
> You are sending a patch with possible performance impact, and you only
> says "its safe", without any real study. It might have an impact, who
> knows.
> 
> I said "its no big deal", so consider this as an informative message. 

Yeah.

So changing from struct inetpeer_addr to union inet_addr just adds few
bytes (8 bytes if I don't make mistake) to struct tcp_metrics_block,
therefore should not cause performance issue on 32bit and 64bit?

BTW, I tried to use pahole to get the offsets of these fields, but it
doesn't work for me.

Thanks!